#include <xsi_application.h>
#include <xsi_context.h>
#ifndef linux
#define WIN32_LEAN_AND_MEAN
#include <windows.h> // Needed for OpenGL on windows
#endif
#include <xsi_vector3f.h>

#include <xsi_geometry.h>
#include <xsi_primitive.h>
#include <xsi_polygonmesh.h>

#include <xsi_triangle.h>

#include <xsi_boolarray.h>

using namespace XSI::MATH; 
using namespace XSI; 

int bboxIntersect(double boxmin[3], double boxmax[3],double box2min[3], double box2max[3]);
bool bboxIntersect(CVector3& boxmin, CVector3& boxmax,CVector3& box2min, CVector3& box2max);
int bSphereIntersect(CVector3 &pos1, CVector3 &pos2, double rad1, double rad2);
int bSphereSweepIntersect(CVector3 &vel1, CVector3 &vel2, CVector3 &pos1, CVector3 &pos2, double rad1, double rad2);